import 'dart:isolate';

import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

import 'page/login';
import 'page/roomlist';

void main() async {

  WidgetsFlutterBinding.ensureInitialized(); // for settings
  var settings = await SharedPreferences.getInstance();

  var _home;
  if (settings.getBool("logged_in") ?? false) {
    _home = MyHomePage(settings: settings);
  }  else {
    _home = LoginPage(settings: settings);
  }
    
  runApp(MaterialApp(
      title: 'Hermes',
      theme: ThemeData(
        brightness: Brightness.dark,
        primaryColor: Colors.pink,
        backgroundColor: Colors.black,
        primarySwatch: Colors.pink,
      ),
      home: _home,
  ));
}
